import { TransactionInstruction } from '@solana/web3.js';
import { MultisigJob, UnixTimeStamp } from '../models';
export declare class MultisigJobBuilder {
    private job;
    fromExistingJob(job: MultisigJob): MultisigJobBuilder;
    jobName(name: string): MultisigJobBuilder;
    jobInstructions(instructions: TransactionInstruction[]): MultisigJobBuilder;
    scheduleOnce(executionTime: UnixTimeStamp): MultisigJobBuilder;
    scheduleCron(cron: string, numberOfExecutions?: number, userTimezoneOffset?: UnixTimeStamp): MultisigJobBuilder;
    scheduleConditional(numberOfExecutions: number): MultisigJobBuilder;
    build(): MultisigJob;
}
