/// <reference types="node" />
import { PublicKey, TransactionInstruction } from '@solana/web3.js';
interface SerializedInstruction {
    keys: {
        pubkey: string;
        isWritable: boolean;
        isSigner: boolean;
    }[];
    programId: string;
    data: {
        type: string;
        data: number[];
    };
}
export declare const isSetupInstruction: (ix: TransactionInstruction) => boolean;
export declare const processDeserializedInstruction: (ixs: SerializedInstruction[]) => [TransactionInstruction[], TransactionInstruction[]];
export declare const deserializeInstruction: (ix: SerializedInstruction) => {
    data: Buffer;
    programId: PublicKey;
    keys: any;
};
export declare const calculateTransactionByteData: (ixs: TransactionInstruction[]) => number;
export {};
